Bug 218446 - security/rkhunter: periodic script needs anticongestion sleep
Summary: security/rkhunter: periodic script needs anticongestion sleep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-07 03:00 UTC by Alan Somers
Modified: 2017-05-20 14:58 UTC (History)
1 user (show)

See Also:
lukasz: maintainer-feedback+


Attachments
Patch fixing "thundering herd" problem (1.19 KB, patch)
2017-04-11 22:47 UTC, Lukasz Wasikowski
lukasz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-04-07 03:00:40 UTC
Periodic scripts that hit external servers can cause a "thundering herd" problem, whereby many systems' periodic scripts run at the same time, and overload the server.  To prevent this, such scripts should sleep for a random amount of time before hitting the external server.

After r316432, there is a common anticongestion function to handle this.  For an example of how to use it, see
https://bugs.freebsd.org/bugzilla/attachment.cgi?id=181374&action=diff
Comment 1 Lukasz Wasikowski 2017-04-11 22:47:00 UTC
Created attachment 181704 [details]
Patch fixing "thundering herd" problem

(In reply to Alan Somers from comment #0)

Thank you Alan. Patch fixing "thundering herd" problem is ready.
Comment 2 commit-hook freebsd_committer 2017-05-20 02:59:52 UTC
A commit references this bug:

Author: asomers
Date: Sat May 20 02:59:01 UTC 2017
New revision: 441287
URL: https://svnweb.freebsd.org/changeset/ports/441287

Log:
  Use anticongestion in security/rkhunter

  Introduced in src r316342, the anticongestion feature unifies multiple periodic
  scripts' disparate sleeps.

  PR:		218446
  Submitted by:	lukasz@wasikowski.net
  Reported by:	asomers
  Reviewed by:	asomers
  Approved by:	Lukasz Wasikowski <lukasz@wasikowski.net> (maintainer)
  Approved by:	brd (ports)

Changes:
  head/security/rkhunter/Makefile
  head/security/rkhunter/files/415.rkhunter.in